List current user's category preferences
GET
/api/v1/user-category-preference
const url = 'https://example.com/api/v1/user-category-preference';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/user-category-preferenceResponses
Section titled “Responses”Category preferences for the authenticated user, or an empty list for anonymous requests
Media typeapplication/json
Array<object>
object
id
required
Preference ID (15 chars)
string
user
required
User ID (15 chars)
string
category
required
Category ID (15 chars)
string
visible
required
boolean
priority
integer
created
string format: date-time
updated
string format: date-time
Examplegenerated
[ { "id": "example", "user": "example", "category": "example", "visible": true, "priority": 1, "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z" }]Internal Server Error